commit:     14b9d65089637edb3b459a6f89d8e4ea92120d44
Author:     Martin Dummer <martin.dummer <AT> gmx <DOT> net>
AuthorDate: Sun Nov 21 21:04:43 2021 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Mon Nov 29 07:18:50 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=14b9d650

net-misc/teamviewer: version bump to 15.23.9

Package-Manager: Portage-3.0.28, Repoman-3.0.3
Signed-off-by: Martin Dummer <martin.dummer <AT> gmx.net>
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 net-misc/teamviewer/Manifest                  |   4 +
 net-misc/teamviewer/teamviewer-15.23.9.ebuild | 163 ++++++++++++++++++++++++++
 2 files changed, 167 insertions(+)

diff --git a/net-misc/teamviewer/Manifest b/net-misc/teamviewer/Manifest
index be35b495bb1a..ea2291495672 100644
--- a/net-misc/teamviewer/Manifest
+++ b/net-misc/teamviewer/Manifest
@@ -8,3 +8,7 @@ DIST teamviewer_15.21.4_amd64.tar.xz 59986736 BLAKE2B 
cfc437d5af70ff67358642ef72
 DIST teamviewer_15.21.4_arm64.tar.xz 60252416 BLAKE2B 
54895af7df588a03d136029c39f3107a4a634bc60f2d032d02e87e31ec11730cddc033895ac15ca4b2050500bcca1cfed484561459146b051ccc2c865230bfe6
 SHA512 
4640362b54e3a25962ccb29ea436d0928f19433ef07a946e515f972ba130932ce6bcf3ed403178f39e70735bf881bae56f56ce38fe8c4547b6a09d7ba859243b
 DIST teamviewer_15.21.4_armhf.tar.xz 54634980 BLAKE2B 
152a42be4dc340f567034f2425c8a92c600000d1219f8d5ddaf0af78e3a720990d6375ee2724d3e8728958fce890a427d3ac0f36643a1af68f43f253cf43eac4
 SHA512 
fcb6551c47ed5d14a1b39540d93b50da7bc559a49dae907c406e10a15a29609514488a752ddfeefd10e0f5a00d0ec3a551d811cf421a1d7f46461a2507a385c4
 DIST teamviewer_15.21.4_i386.tar.xz 63280600 BLAKE2B 
c224b71cdfc01c8327503a6464c46b5e3c06f4886bbd40d93cc65662f6c53dee6bc0319a675117fac1670d98523186805b8bd002fda5cb7503a45a32c733c316
 SHA512 
933a09a41d42423aa4dbd6879ca9ed64dcc21ca2fb91aa1a9391fee7aee3d6e382635f20dbeeffebf9de3cb36b91f240668d4792a0d60a94ccfbf912289a385c
+DIST teamviewer_15.23.9_amd64.tar.xz 63137476 BLAKE2B 
fcdbb980514f7261b75b23556c538c64ba620c210c1a4ff8ca8300590f92eb4551e67d1669a835fccd5382bc8e5f347876544e994ca92c50585c2113548bb45d
 SHA512 
e504931de01f4cf8ec5a246563584e898a14f11a4714307b321b01c62cfb7e2774398680d532df4e799259bea7e77dbf82e8c368d7ac981f99b87a2745f08304
+DIST teamviewer_15.23.9_arm64.tar.xz 62300228 BLAKE2B 
2f27d6cee782d756e8007120e2dc847960b2011fff016c20745bb429d28bf07d3eef6bf4f4ac8411c1133dcd9ed3792e409dc6c3181b6a60afe98364e6fe1b7d
 SHA512 
af3a9d3556918287bffadcaecc4f42b3a8435f60c5238d9091ae917f71c259458c3393cee8c3b3866617fd8bed67835519f9b1efe9d7ff6e4422f0fa6dc58dd4
+DIST teamviewer_15.23.9_armhf.tar.xz 56261744 BLAKE2B 
24c1c4eb600d4ec7a8a5d0df002b5b54fdceb3e623bcb89dbbd4161ef5d2cf645ba1ff69f17708b996c1cdba5df50c262c6273f8491182006fd509a7ce636114
 SHA512 
5a767a53a12f4852395731e549be2d7ce2e674e127472b5c80999eff50b52a2781432cc39af3104e7bf16aa95bb63b14831ab197ea6c2c81d9021531ca8279c9
+DIST teamviewer_15.23.9_i386.tar.xz 62347476 BLAKE2B 
2e9e6c27c2da518b21c1be6e281e9bb00b2ff2ab8618511b575853f2f8d3c0c159a5b89388a982a0958e9afd2da04de4036c524d56b741f45639b37ee90d1d60
 SHA512 
d209b246aaf48d998f69664d35788513a2b5d1ebb213e08639b0f35192859188e4556bc7470a4117d30852e5becc3d87355bf8ac0f78d5214f804a9d9e58da90

diff --git a/net-misc/teamviewer/teamviewer-15.23.9.ebuild 
b/net-misc/teamviewer/teamviewer-15.23.9.ebuild
new file mode 100644
index 000000000000..0d60c13390df
--- /dev/null
+++ b/net-misc/teamviewer/teamviewer-15.23.9.ebuild
@@ -0,0 +1,163 @@
+# Copyright 2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit desktop optfeature systemd xdg
+
+MY_MAJOR="$(ver_cut 1)"
+MY_P="${PN}${MY_MAJOR}"
+DESCRIPTION="All-In-One Solution for Remote Access and Support over the 
Internet"
+HOMEPAGE="https://www.teamviewer.com";
+MY_URI="https://dl.tvcdn.de/download/linux/version_${MY_MAJOR}x/${PN}_${PV}";
+SRC_URI="amd64? ( ${MY_URI}_amd64.tar.xz )
+               arm? ( ${MY_URI}_armhf.tar.xz )
+               arm64? ( ${MY_URI}_arm64.tar.xz )
+               x86? ( ${MY_URI}_i386.tar.xz )"
+S="${WORKDIR}"/teamviewer
+
+LICENSE="TeamViewer MIT"
+SLOT="0"
+KEYWORDS="-* ~amd64 ~x86"
+RESTRICT="bindist mirror"
+
+# Unpack will fail without app-arch/xz-utils[extra-filters], bug #798027
+BDEPEND="app-arch/xz-utils[extra-filters]"
+
+RDEPEND="
+       dev-libs/glib:2
+       dev-libs/nspr
+       dev-libs/nss
+       media-libs/fontconfig
+       media-libs/freetype
+       media-libs/libglvnd[X]
+       sys-apps/dbus
+       sys-apps/util-linux
+       sys-libs/zlib:0/1[minizip]
+       x11-libs/libICE
+       x11-libs/libSM
+       x11-libs/libX11
+       x11-libs/libXScrnSaver
+       x11-libs/libXcomposite
+       x11-libs/libXcursor
+       x11-libs/libXdamage
+       x11-libs/libXext
+       x11-libs/libXfixes
+       x11-libs/libXi
+       x11-libs/libXrandr
+       x11-libs/libXrender
+       x11-libs/libXtst
+       x11-libs/libxcb
+       x11-libs/libxkbcommon[X]
+       x11-libs/xcb-util-image
+       x11-libs/xcb-util-keysyms
+       x11-libs/xcb-util-renderutil
+       x11-libs/xcb-util-wm
+"
+# For consolekit incompatibility see 
https://forums.gentoo.org/viewtopic-p-8332956.html#8332956
+
+QA_PREBUILT="opt/${MY_P}/*"
+
+src_prepare() {
+       default
+
+       # Switch operation mode from 'portable' to 'installed'
+       sed -e "s/TAR_NI/TAR_IN/g" -i tv_bin/script/tvw_config || die
+
+       sed -i \
+               -e "/^ExecStart/s|${PN}|${MY_P}|" \
+               -e "/^PIDFile/s|/var/run/|/run/|" \
+               tv_bin/script/teamviewerd.service || die
+}
+
+src_install() {
+       local dst="/opt/${MY_P}" # install destination
+
+       # Quirk:
+       # Remove Intel 80386 32-bit ELF binary 'libdepend' present in all
+       # archives. It will trip the 'emerge @preserved-libs' logic on amd64
+       # when changing the ABI of one of its dependencies. According to the
+       # TeamViewer devs, this binary is an unused remnant of previous Wine-
+       # based builds and will be removed in future releases anyway
+       rm tv_bin/script/libdepend || die
+
+       insinto ${dst}
+       doins -r tv_bin
+
+       # Set permissions for executables and libraries
+       local exe
+       for exe in $(find tv_bin -type f -executable -or -name '*.so' || die); 
do
+               fperms +x ${dst}/${exe}
+       done
+
+       newinitd "${FILESDIR}"/teamviewerd15.init teamviewerd
+       systemd_dounit tv_bin/script/teamviewerd.service
+
+       insinto /usr/share/dbus-1/services
+       doins tv_bin/script/com.teamviewer.TeamViewer.service
+       doins tv_bin/script/com.teamviewer.TeamViewer.Desktop.service
+
+       insinto /usr/share/polkit-1/actions
+       doins tv_bin/script/com.teamviewer.TeamViewer.policy
+
+       local size
+       for size in 16 24 32 48 256; do
+               newicon -s ${size} tv_bin/desktop/teamviewer_${size}.png 
teamviewer.png
+       done
+
+       dodoc -r doc
+
+       # Make docs available in expected location
+       dosym ../../usr/share/doc/${PF}/doc ${dst}/doc
+
+       # We need to keep docs uncompressed, bug #778617
+       docompress -x /usr/share/doc/${PF}/.
+
+       keepdir /etc/${MY_P}
+       dosym ../../etc/${MY_P} ${dst}/config
+
+       # Create directory and symlink for log files (NOTE: according to Team-
+       # Viewer devs, all paths are hard-coded in the binaries; therefore
+       # using the same path as the DEB/RPM archives, i.e. '/var/log/teamviewer
+       # <major-version>')
+       keepdir /var/log/${MY_P}
+       dosym ../../var/log/${MY_P} ${dst}/logfiles
+
+       dodir /opt/bin
+       dosym ${dst}/tv_bin/teamviewerd /opt/bin/teamviewerd
+       dosym ${dst}/tv_bin/script/teamviewer /opt/bin/teamviewer
+
+       make_desktop_entry teamviewer "TeamViewer ${MY_MAJOR}"
+}
+
+pkg_postinst() {
+       xdg_pkg_postinst
+
+       ewarn
+       ewarn "Please note that the teamviewer gui works only when started from"
+       ewarn "a session initiated by a display manager." #799137
+       optfeature_header "Install one of the following display managers:"
+       optfeature "an example display manager" x11-misc/cdm gnome-base/gdm 
gui-apps/gtkgreet x11-misc/lightdm lxde-base/lxdm sys-apps/qingy x11-misc/sddm 
x11-misc/slim x11-misc/wdm x11-apps/xdm
+
+       if [[ -z ${REPLACING_VERSIONS} ]]; then
+               elog
+               elog "Please note that parallel installation of multiple 
versions of"
+               elog "TeamViewer is currently not supported at runtime. Bug 
#621818"
+               elog
+               elog "Before using TeamViewer, you need to start its daemon:"
+               elog "OpenRC:"
+               elog "# /etc/init.d/teamviewerd start"
+               elog "# rc-update add teamviewerd default"
+               elog
+               elog "Systemd:"
+               elog "# systemctl start teamviewerd.service"
+               elog "# systemctl enable teamviewerd.service"
+               elog
+               elog "To display additional command line options simply run:"
+               elog "$ teamviewer help"
+               elog
+               elog "Most likely TeamViewer will work normally only on systems 
with systemd"
+               elog "or elogind. See this thread for additional info:"
+               elog 
"https://forums.gentoo.org/viewtopic-p-8332956.html#8332956";
+       fi
+}

Reply via email to